import { HttpResponseModel, ODataHttpClient } from "@odata2ts/http-client-api";
import { BaseHttpClient, BaseHttpClientOptions, HttpMethods, InternalHttpClientConfig } from "@odata2ts/http-client-base";
import { AxiosInstance, AxiosResponseHeaders, RawAxiosResponseHeaders } from "axios";
import { AxiosRequestConfig } from "./AxiosRequestConfig";
export interface ClientOptions extends BaseHttpClientOptions {
}
export declare const DEFAULT_ERROR_MESSAGE = "No error message!";
export declare class AxiosClient extends BaseHttpClient<AxiosRequestConfig> implements ODataHttpClient<AxiosRequestConfig> {
    protected readonly client: AxiosInstance;
    constructor(config?: AxiosRequestConfig, clientOptions?: ClientOptions);
    protected executeRequest<ResponseModel>(method: HttpMethods, url: string, data: any, requestConfig?: AxiosRequestConfig | undefined, internalConfig?: InternalHttpClientConfig): Promise<HttpResponseModel<ResponseModel>>;
    protected mapHeaders(headers: AxiosResponseHeaders | RawAxiosResponseHeaders): Record<string, string>;
}
